
Infrastructure - Task #1944

Story # 1906 (Closed): Review, revise, and update architecture documentation

MNAuthorization.isAuthorized() - convenience methods for canRead() / canWrite()

2011-10-27 02:24 - Roger Dahl

Status: Rejected Start date: 2011-10-27

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

I don't think we need convenience methods for canRead() / canWrite(). I think that isAuthorized(session, pid, 'read') is both brief and

descriptive.

History

#1 - 2011-11-03 20:32 - Dave Vieglais

- Status changed from New to Rejected

We can perhaps revisit this sometime later. The intent may have been to include a list of PIDs with canRead / canWrite, but that is still a minor

difference from isAuthorized.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
